import { ChangeDetectorRef, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { BooleanInput } from '@angular/cdk/coercion';
export declare class NelInputNumberComponent implements ControlValueAccessor {
    private cdr;
    static ngAcceptInputType_nelDisabled: BooleanInput;
    displayValue: number;
    decreaseDisabled: boolean;
    increaseDisabled: boolean;
    nelMin?: number;
    nelMax?: number;
    nelStep: number;
    nelDisabled: boolean;
    inputEle: ElementRef;
    change: (value: number) => void;
    constructor(cdr: ChangeDetectorRef);
    onModelChange(event: number): void;
    blur(): void;
    decrease(): void;
    increase(): void;
    rangeDisabled(val: number): void;
    writeValue(val: number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
